#include <stdio.h>
#include <windows.h>

void check_and_report_misc_error()
{
 unsigned int err = GetLastError();
 void* msg_buf = NULL;
    
   if (
         FormatMessage( 
              FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
              NULL, 
              err,  
              MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
              (char*) &msg_buf,  
              0,  
              NULL 
                      )
      )
   {
      printf("Error: %s\n",(char*)msg_buf);
   }
   else
   {
      printf("Couldn't get a verbose error message. Err code: 0x%08x\n", err);
   }
   
   if (msg_buf) LocalFree( msg_buf ); // Free system buffer

   SetLastError(err);
   return;
}



